| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::poll_media Struct Reference

Structure representing a poll media, for example the poll question or a possible poll answer. More...

`#include <message.h>`

Collaboration diagram for dpp::poll_media:
[legend]

## Public Attributes

partial_emoji | emoji {}
| Emoji of the media.
std::string | text {}
| Text of the media.

## Detailed Description

Structure representing a poll media, for example the poll question or a possible poll answer.

See also
  https://discord.com/developers/docs/resources/poll#poll-media-object-poll-media-object-structure

## Member Data Documentation

## ◆ emoji

partial_emoji dpp::poll_media::emoji {}

Emoji of the media.

## ◆ text

std::string dpp::poll_media::text {}

Text of the media.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0